#include <activscp.h>

class  CScriptError : public IActiveScriptError 
{
    protected:
        ULONG           m_RefCount;

    public:
        CScriptError  (void) ;
        ~CScriptError (void);

        //IUnknown members
        STDMETHODIMP         QueryInterface(REFIID, LPVOID*);
        STDMETHODIMP_(ULONG) AddRef(void);
        STDMETHODIMP_(ULONG) Release(void);

        //IActiveScriptError members

		STDMETHODIMP GetExceptionInfo(EXCEPINFO *pexcepinfo) ;
        STDMETHODIMP GetSourcePosition(DWORD *pdwSourceContext, ULONG *pulLineNumber, LONG *plCharacterPosition) ;
        STDMETHODIMP GetSourceLineText(BSTR *pbstrSourceLine) ;
 };

